# Blueberry Peak
You play as Luna, a fox that loves Mr. Smith's Blueberry Pie. After your Mother told you, that he is retiring, you are going on a moderately paced walk to his bakery on top of the hill. Along the way you encounter some challenges that require you to use your wits and foxy senses to overcome obstacles and gather ingredients for a pie.

## Gameplay Features
- **Exploration**: Navigate through a vibrant world filled with lush forests, sparkling streams, and hidden paths.
- **Dialog**: Engage with quirky characters who provide you with insight on the world and help you on your quest.
- **Walking**: Experience a relaxing, moderately paced walk that allows you to take in the scenery and enjoy the journey.

## System Design
- **Player Character**: Luna, the fox, with abilities to interact with the environment and characters.
- **World Design**: A rich, immersive world with various biomes, each with unique challenges and characters.
- **Inventory System**: Collect ingredients and items that can be used to solve puzzles and progress in the game.
- **Dialogue System**: A branching dialogue system that allows players to choose how they interact with characters, affecting the story and gameplay.

## System Infrastructure
![Class Diagram](doc/Class%20Diagram.png)